# Interface IApplicationCoreEvents

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type IApplicationCoreEvents = interface(IInterface)`

## Description

Custom interface used to handle all the TCefApplicationCore events.

###### Attributes

GUID['{55E99E25-A05D-46D5-B3A4-C8C2E71C1F4D}']

## Hierarchy

- IInterface
- IApplicationCoreEvents

## Overview

### Methods

| `procedure doOnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine);`
| `procedure doOnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef);`
| `procedure doOnRegisterCustomPreferences(type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar);`
| `procedure doOnContextInitialized;`
| `procedure doOnBeforeChildProcessLaunch(const commandLine: ICefCommandLine);`
| `procedure doOnAlreadyRunningAppRelaunch(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean);`
| `procedure doOnScheduleMessagePumpWork(const delayMs: Int64);`
| `procedure doGetDefaultClient(var aClient : ICefClient);`
| `procedure doGetDefaultRequestContextHandler(var aRequestContextHandler : ICefRequestContextHandler);`
| `function doGetLocalizedString(stringid: Integer; var stringVal: ustring): Boolean;`
| `function doGetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean;`
| `function doGetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean;`
| `procedure doOnWebKitInitialized;`
| `procedure doOnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue);`
| `procedure doOnBrowserDestroyed(const browser: ICefBrowser);`
| `procedure doOnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);`
| `procedure doOnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);`
| `procedure doOnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace);`
| `procedure doOnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode);`
| `procedure doOnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage; var aHandled : boolean);`
| `procedure doOnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean);`
| `procedure doOnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType);`
| `procedure doOnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer);`
| `procedure doOnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring);`

## Description

### Methods

| `procedure doOnBeforeCommandLineProcessing(const processType: ustring; const commandLine: ICefCommandLine);`
ICefApp

| `procedure doOnRegisterCustomSchemes(const registrar: TCefSchemeRegistrarRef);`
This item has no description.

| `procedure doOnRegisterCustomPreferences(type_: TCefPreferencesType; registrar: PCefPreferenceRegistrar);`
ICefBrowserProcessHandler

| `procedure doOnContextInitialized;`
This item has no description.

| `procedure doOnBeforeChildProcessLaunch(const commandLine: ICefCommandLine);`
This item has no description.

| `procedure doOnAlreadyRunningAppRelaunch(const commandLine: ICefCommandLine; const current_directory: ustring; var aResult: boolean);`
This item has no description.

| `procedure doOnScheduleMessagePumpWork(const delayMs: Int64);`
This item has no description.

| `procedure doGetDefaultClient(var aClient : ICefClient);`
This item has no description.

| `procedure doGetDefaultRequestContextHandler(var aRequestContextHandler : ICefRequestContextHandler);`
This item has no description.

| `function doGetLocalizedString(stringid: Integer; var stringVal: ustring): Boolean;`
ICefResourceBundleHandler

| `function doGetDataResource(resourceId: Integer; var data: Pointer; var dataSize: NativeUInt): Boolean;`
This item has no description.

| `function doGetDataResourceForScale(resourceId: Integer; scaleFactor: TCefScaleFactor; var data: Pointer; var dataSize: NativeUInt): Boolean;`
This item has no description.

| `procedure doOnWebKitInitialized;`
ICefRenderProcessHandler

| `procedure doOnBrowserCreated(const browser: ICefBrowser; const extra_info: ICefDictionaryValue);`
This item has no description.

| `procedure doOnBrowserDestroyed(const browser: ICefBrowser);`
This item has no description.

| `procedure doOnContextCreated(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);`
This item has no description.

| `procedure doOnContextReleased(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context);`
This item has no description.

| `procedure doOnUncaughtException(const browser: ICefBrowser; const frame: ICefFrame; const context: ICefv8Context; const V8Exception: ICefV8Exception; const stackTrace: ICefV8StackTrace);`
This item has no description.

| `procedure doOnFocusedNodeChanged(const browser: ICefBrowser; const frame: ICefFrame; const node: ICefDomNode);`
This item has no description.

| `procedure doOnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const aMessage: ICefProcessMessage; var aHandled : boolean);`
This item has no description.

| `procedure doOnLoadingStateChange(const browser: ICefBrowser; isLoading, canGoBack, canGoForward: Boolean);`
ICefLoadHandler

| `procedure doOnLoadStart(const browser: ICefBrowser; const frame: ICefFrame; transitionType: TCefTransitionType);`
This item has no description.

| `procedure doOnLoadEnd(const browser: ICefBrowser; const frame: ICefFrame; httpStatusCode: Integer);`
This item has no description.

| `procedure doOnLoadError(const browser: ICefBrowser; const frame: ICefFrame; errorCode: TCefErrorCode; const errorText, failedUrl: ustring);`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.